%include common-macros.specinclude

Summary: Practical Extraction and Report Language
Name: lsb-perl
Version: 5.12.3 
Release: 6.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: Artistic
Group: Appbat/languages
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://ftp.funet.fi/pub/CPAN/src/perl-%{version}.tar.bz2
Patch0: perl-%{version}.patch
Patch1: 0001-Temporarily-work-around-an-internal-compiler-error-i.patch

%description
LSB conforming version of Perl. Perl is a general-purpose programming 
language originally developed for text manipulation and now used for a
wide range of tasks including system administration, web development,
network programming, GUI development, and more.

%prep
%setup -q -n perl-%{version}
chmod -R u+w .
%patch0 -p0 -b .lsbcc
cd cpan
%patch1 -p2 -b .no-ice
cd ..

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# no nsl
sed -i 's| nsl | |g' Configure

./Configure \
    -O \
	-Dd_gethostprotos \
	-Ud_syscall \
	-Ud_setresgid \
	-Ud_setresuid \
	-Ud_getspnam \
	-Ud_endnent \
	-Ud_setnent \
	-Ud_getnent \
	-Ud_endhent \
	-Ud_sethent \
	-Ud_gethent \
	-Ud_getnbyaddr \
	-Ud_getnbyname \
	-Ud_eaccess \
	-Ud_setlinebuf \
	-Ui_db \
	-Di_gdbm \
	-Dcc="$CC" \
	-Dprefix=%{app_prefix} \
	-Dlocincpth="%{includedir}" \
	-Dloclibpth="%{libdir}" \
	-Dlibc="%{libdir}/libc.so" \
	-de

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# rpm's strip on some systems complains about perms
find %{buildroot}/%{app_prefix} -name '*.so' | xargs -i chmod 0755 {}

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.perl.build.patches 
fi

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu May 10 2012 Stew Benedict <stewb@linux-foundation.org>
- add patch from Debian to prevent ICE on IA64 (P1, bug 3513)

* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 5.12.3, rediff P0

* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

